/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */

package com.jcg.getfirstncharacters;

/**
 *
 * @author omozegieaziegbe
 */
public class GetFirstNCharacters {

//    public static String getFirstNCharacters(String input, int n) {
//        
//        if (input == null || input.isEmpty() || n <= 0) {
//            return "";
//        }
//        return input.substring(0, Math.min(n, input.length()));
//    }

//    public static String getFirstNCharacters(String input, int n) {
//        if (input == null || input.isEmpty() || n <= 0) {
//            return "";
//        }
//        return input.subSequence(0, Math.min(n, input.length())).toString();
//    }
    
    public static String getFirstNCharacters(String input, int n) {
        if (input == null || input.isEmpty() || n <= 0) {
            return "";
        }
        return input.chars().limit(n).collect(StringBuilder::new,
                                              StringBuilder::appendCodePoint,
                                              StringBuilder::append)
                         .toString();
    }
    
    public static void main(String[] args) {
        
        String originalString = "Alice in Wonderland";
        int n = 5; // Number of characters to extract

        String firstNCharacters = getFirstNCharacters(originalString, n);
        System.out.println("First " + n + " characters: " + firstNCharacters);
    }  
}
